Package ghidra.debug.api.progress

# Enum Class ProgressListener.Disposal

java.lang.Object
java.lang.Enum<ProgressListener.Disposal>
ghidra.debug.api.progress.ProgressListener.Disposal

All Implemented Interfaces:
  `Serializable`, `Comparable<ProgressListener.Disposal>`, `Constable`

Enclosing interface:
  `ProgressListener`

public static enum ProgressListener.Disposal extends Enum<ProgressListener.Disposal>
Describes how or why a task monitor was disposed

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLEANED`
  The monitor was not closed.
  `CLOSED`
  The monitor was properly closed

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProgressListener.Disposal`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProgressListener.Disposal[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLOSED

    public static final ProgressListener.Disposal CLOSED
    The monitor was properly closed

  - ### CLEANED

    public static final ProgressListener.Disposal CLEANED
    The monitor was not closed. Instead, it was cleaned by the garbage collector.

- ## Method Details

  - ### values

    public static ProgressListener.Disposal[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProgressListener.Disposal valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null